Skip to main content
`Ctrl`+`K`

# VecStashViewFromOptions

Processes command line options to determine if/how a `VecStash` object is to be viewed.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStashViewFromOptions(Vec obj, PetscObject bobj, const char optionname[])

Collective

## Input Parameters

- obj - the `Vec` containing a stash

- bobj - optional other object that provides the prefix

- optionname - option to activate viewing

## Developer Notes

This cannot use `PetscObjectViewFromOptions()` because it takes a `Vec` as an argument but does not use `VecView()`

## See Also

Vectors and Parallel Data, `Vec`, `VecStashSetInitialSize()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages